## org.mortbay.util
Class WriterOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--org.mortbay.util.WriterOutputStream

public class WriterOutputStream
extends java.io.OutputStream

Wrap a Writer as an OutputStream. When all you have is a Writer and only an OutputStream will do. Try not to use this as it indicates that your design is a dogs breakfast (JSP made me write it).

Version:
  $Id: WriterOutputStream.java,v 1.2 2002/12/07 23:52:03 bretts Exp $
Author:
  Greg Wilkins (gregw)

Constructor Summary
`WriterOutputStream(java.io.Writer writer)`
`WriterOutputStream(java.io.Writer writer, java.lang.String encoding)`

Method Summary
`void` `close()`
`void` `flush()`
`void` `write(byte[] b)`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WriterOutputStream

    public WriterOutputStream(java.io.Writer writer,
                              java.lang.String encoding)

### WriterOutputStream

    public WriterOutputStream(java.io.Writer writer)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `java.io.OutputStream`
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Overrides:
    `flush` in class `java.io.OutputStream`
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
    `java.io.IOException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.